aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-08-28 23:38:52 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2016-08-28 23:38:52 +0200
commit268fa737017e1dbda438a21f258c45818250cb88 (patch)
tree7b6ed6b24acdfbcd22c1f041bf50796c1234b4f7
parentb339507046ba955f1fa55752aeb371c2a1d203d2 (diff)
downloadaports-268fa737017e1dbda438a21f258c45818250cb88.tar.gz
aports-268fa737017e1dbda438a21f258c45818250cb88.tar.bz2
aports-268fa737017e1dbda438a21f258c45818250cb88.tar.xz
community/spim: move from unmaintained
-rw-r--r--community/spim/APKBUILD (renamed from unmaintained/spim/APKBUILD)16
-rw-r--r--community/spim/respect-env.patch (renamed from unmaintained/spim/respect-env.patch)0
2 files changed, 4 insertions, 12 deletions
diff --git a/unmaintained/spim/APKBUILD b/community/spim/APKBUILD
index 52d2859ea7..138b6b39d8 100644
--- a/unmaintained/spim/APKBUILD
+++ b/community/spim/APKBUILD
@@ -15,24 +15,16 @@ subpackages="$pkgname-doc"
source="http://pages.cs.wisc.edu/~larus/SPIM/${pkgname}-${pkgver}.tar.gz
respect-env.patch"
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
- cd "$_builddir"
- local i
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p0 -i "$srcdir"/$i || return 1 ;;
- esac
- done
-}
+patch_args="-p0"
+builddir="$srcdir"/$pkgname-$pkgver
build() {
make configuration $pkgname \
- -C "$_builddir"/$pkgname || return 1
+ -C "$builddir"/$pkgname || return 1
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" -C $pkgname install || return 1
install -Dm644 Documentation/spim.man \
diff --git a/unmaintained/spim/respect-env.patch b/community/spim/respect-env.patch
index c7c8925c4e..c7c8925c4e 100644
--- a/unmaintained/spim/respect-env.patch
+++ b/community/spim/respect-env.patch